<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: erpc::ArbitratedClientManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpc_1_1_arbitrated_client_manager.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classerpc_1_1_arbitrated_client_manager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpc::ArbitratedClientManager Class Reference<div class="ingroups"><a class="el" href="group__infra.html">Infrastructure</a> &raquo; <a class="el" href="group__infra__client.html">Client</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Client that can share a transport with a server.  
 <a href="classerpc_1_1_arbitrated_client_manager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="arbitrated__client__manager_8h_source.html">arbitrated_client_manager.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for erpc::ArbitratedClientManager:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><iframe scrolling="no" frameborder="0" src="classerpc_1_1_arbitrated_client_manager__inherit__graph.svg" width="206" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Collaboration diagram for erpc::ArbitratedClientManager:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><iframe scrolling="no" frameborder="0" src="classerpc_1_1_arbitrated_client_manager__coll__graph.svg" width="1550" height="410"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a30f8ce109a2aa321e58646a962eadcf2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_arbitrated_client_manager.html#a30f8ce109a2aa321e58646a962eadcf2">ArbitratedClientManager</a> ()</td></tr>
<tr class="memdesc:a30f8ce109a2aa321e58646a962eadcf2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a30f8ce109a2aa321e58646a962eadcf2">More...</a><br /></td></tr>
<tr class="separator:a30f8ce109a2aa321e58646a962eadcf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31a52d8e0bc260875a5d711718eda369"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_arbitrated_client_manager.html#a31a52d8e0bc260875a5d711718eda369">setArbitrator</a> (<a class="el" href="classerpc_1_1_transport_arbitrator.html">TransportArbitrator</a> *arbitrator)</td></tr>
<tr class="memdesc:a31a52d8e0bc260875a5d711718eda369"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the transport arbitrator instance.  <a href="#a31a52d8e0bc260875a5d711718eda369">More...</a><br /></td></tr>
<tr class="separator:a31a52d8e0bc260875a5d711718eda369"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3e04692bdb5f298d0a819eea026b854"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_arbitrated_client_manager.html#ab3e04692bdb5f298d0a819eea026b854">performRequest</a> (<a class="el" href="classerpc_1_1_request_context.html">RequestContext</a> &amp;request)</td></tr>
<tr class="memdesc:ab3e04692bdb5f298d0a819eea026b854"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function performs request.  <a href="#ab3e04692bdb5f298d0a819eea026b854">More...</a><br /></td></tr>
<tr class="separator:ab3e04692bdb5f298d0a819eea026b854"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classerpc_1_1_client_manager"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classerpc_1_1_client_manager')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td></tr>
<tr class="memitem:ae8f089225320c8e8ce11c4587034b0d6 inherit pub_methods_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#ae8f089225320c8e8ce11c4587034b0d6">ClientManager</a> ()</td></tr>
<tr class="memdesc:ae8f089225320c8e8ce11c4587034b0d6 inherit pub_methods_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ae8f089225320c8e8ce11c4587034b0d6">More...</a><br /></td></tr>
<tr class="separator:ae8f089225320c8e8ce11c4587034b0d6 inherit pub_methods_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afef2a91be41f438b9da9de9127557fae inherit pub_methods_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afef2a91be41f438b9da9de9127557fae"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#afef2a91be41f438b9da9de9127557fae">~ClientManager</a> ()</td></tr>
<tr class="memdesc:afef2a91be41f438b9da9de9127557fae inherit pub_methods_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classerpc_1_1_client_manager.html" title="Base client implementation. ">ClientManager</a> destructor. <br /></td></tr>
<tr class="separator:afef2a91be41f438b9da9de9127557fae inherit pub_methods_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae10c965ac19417149c9edfd2349e6350 inherit pub_methods_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#ae10c965ac19417149c9edfd2349e6350">setMessageBufferFactory</a> (<a class="el" href="classerpc_1_1_message_buffer_factory.html">MessageBufferFactory</a> *factory)</td></tr>
<tr class="memdesc:ae10c965ac19417149c9edfd2349e6350 inherit pub_methods_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets message buffer factory to use.  <a href="#ae10c965ac19417149c9edfd2349e6350">More...</a><br /></td></tr>
<tr class="separator:ae10c965ac19417149c9edfd2349e6350 inherit pub_methods_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a440157b29d495471b158eabfc3c72d28 inherit pub_methods_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#a440157b29d495471b158eabfc3c72d28">setCodecFactory</a> (<a class="el" href="classerpc_1_1_codec_factory.html">CodecFactory</a> *factory)</td></tr>
<tr class="memdesc:a440157b29d495471b158eabfc3c72d28 inherit pub_methods_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets codec factory to use.  <a href="#a440157b29d495471b158eabfc3c72d28">More...</a><br /></td></tr>
<tr class="separator:a440157b29d495471b158eabfc3c72d28 inherit pub_methods_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08d2032140f4b68d457b724f1d6ac0e4 inherit pub_methods_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#a08d2032140f4b68d457b724f1d6ac0e4">setTransport</a> (<a class="el" href="classerpc_1_1_transport.html">Transport</a> *transport)</td></tr>
<tr class="memdesc:a08d2032140f4b68d457b724f1d6ac0e4 inherit pub_methods_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets transport layer to use.  <a href="#a08d2032140f4b68d457b724f1d6ac0e4">More...</a><br /></td></tr>
<tr class="separator:a08d2032140f4b68d457b724f1d6ac0e4 inherit pub_methods_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc479442d1a9155035659410cf8a5a4b inherit pub_methods_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classerpc_1_1_request_context.html">RequestContext</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#afc479442d1a9155035659410cf8a5a4b">createRequest</a> (bool isOneway)</td></tr>
<tr class="memdesc:afc479442d1a9155035659410cf8a5a4b inherit pub_methods_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function creates request context.  <a href="#afc479442d1a9155035659410cf8a5a4b">More...</a><br /></td></tr>
<tr class="separator:afc479442d1a9155035659410cf8a5a4b inherit pub_methods_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adaef79f3392683e2135e3873fa20bc72 inherit pub_methods_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#adaef79f3392683e2135e3873fa20bc72">releaseRequest</a> (<a class="el" href="classerpc_1_1_request_context.html">RequestContext</a> &amp;request)</td></tr>
<tr class="memdesc:adaef79f3392683e2135e3873fa20bc72 inherit pub_methods_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function releases request context.  <a href="#adaef79f3392683e2135e3873fa20bc72">More...</a><br /></td></tr>
<tr class="separator:adaef79f3392683e2135e3873fa20bc72 inherit pub_methods_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe9928cf550a16ea08047bbfbc9f8cf0 inherit pub_methods_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#abe9928cf550a16ea08047bbfbc9f8cf0">setErrorHandler</a> (<a class="el" href="group__client__setup.html#gab7dcc8461d2301b2ae32448b0f69ef85">client_error_handler_t</a> error_handler)</td></tr>
<tr class="memdesc:abe9928cf550a16ea08047bbfbc9f8cf0 inherit pub_methods_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">This functions sets error handler function for infrastructure errors.  <a href="#abe9928cf550a16ea08047bbfbc9f8cf0">More...</a><br /></td></tr>
<tr class="separator:abe9928cf550a16ea08047bbfbc9f8cf0 inherit pub_methods_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0977d17a96daccb35496edb01e3d59ad inherit pub_methods_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__client__setup.html#gab7dcc8461d2301b2ae32448b0f69ef85">client_error_handler_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#a0977d17a96daccb35496edb01e3d59ad">getErrorHandler</a> ()</td></tr>
<tr class="memdesc:a0977d17a96daccb35496edb01e3d59ad inherit pub_methods_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">This functions returns error handler function for infrastructure errors.  <a href="#a0977d17a96daccb35496edb01e3d59ad">More...</a><br /></td></tr>
<tr class="separator:a0977d17a96daccb35496edb01e3d59ad inherit pub_methods_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a91fb14f9fd59a91731d4b450e01e60ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91fb14f9fd59a91731d4b450e01e60ce"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_arbitrated_client_manager.html#a91fb14f9fd59a91731d4b450e01e60ce">setTransport</a> (<a class="el" href="classerpc_1_1_transport.html">Transport</a> *transport)</td></tr>
<tr class="memdesc:a91fb14f9fd59a91731d4b450e01e60ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method is not used with this class. <br /></td></tr>
<tr class="separator:a91fb14f9fd59a91731d4b450e01e60ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classerpc_1_1_client_manager"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classerpc_1_1_client_manager')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td></tr>
<tr class="memitem:a16437643b04d2616ee1144887a5d7735 inherit pro_methods_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16437643b04d2616ee1144887a5d7735"></a>
virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#a16437643b04d2616ee1144887a5d7735">verifyReply</a> (<a class="el" href="classerpc_1_1_request_context.html">RequestContext</a> &amp;request)</td></tr>
<tr class="memdesc:a16437643b04d2616ee1144887a5d7735 inherit pro_methods_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Validate that an incoming message is a reply. <br /></td></tr>
<tr class="separator:a16437643b04d2616ee1144887a5d7735 inherit pro_methods_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72cfe47bac319ec782ed7d819a909519 inherit pro_methods_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpc_1_1_codec.html">Codec</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#a72cfe47bac319ec782ed7d819a909519">createBufferAndCodec</a> ()</td></tr>
<tr class="memdesc:a72cfe47bac319ec782ed7d819a909519 inherit pro_methods_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create message buffer and codec.  <a href="#a72cfe47bac319ec782ed7d819a909519">More...</a><br /></td></tr>
<tr class="separator:a72cfe47bac319ec782ed7d819a909519 inherit pro_methods_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ab145edac17a94558bf6c47c8a5f63ae8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab145edac17a94558bf6c47c8a5f63ae8"></a>
<a class="el" href="classerpc_1_1_transport_arbitrator.html">TransportArbitrator</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_arbitrated_client_manager.html#ab145edac17a94558bf6c47c8a5f63ae8">m_arbitrator</a></td></tr>
<tr class="memdesc:ab145edac17a94558bf6c47c8a5f63ae8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional transport arbitrator. May be NULL. <br /></td></tr>
<tr class="separator:ab145edac17a94558bf6c47c8a5f63ae8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classerpc_1_1_client_manager"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classerpc_1_1_client_manager')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td></tr>
<tr class="memitem:a6cb77b574dd3151a474ac11f855897da inherit pro_attribs_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6cb77b574dd3151a474ac11f855897da"></a>
<a class="el" href="classerpc_1_1_message_buffer_factory.html">MessageBufferFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#a6cb77b574dd3151a474ac11f855897da">m_messageFactory</a></td></tr>
<tr class="memdesc:a6cb77b574dd3151a474ac11f855897da inherit pro_attribs_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message buffer factory to use. <br /></td></tr>
<tr class="separator:a6cb77b574dd3151a474ac11f855897da inherit pro_attribs_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a1758444909cab977552c311c7856e6 inherit pro_attribs_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a1758444909cab977552c311c7856e6"></a>
<a class="el" href="classerpc_1_1_codec_factory.html">CodecFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#a9a1758444909cab977552c311c7856e6">m_codecFactory</a></td></tr>
<tr class="memdesc:a9a1758444909cab977552c311c7856e6 inherit pro_attribs_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classerpc_1_1_codec.html" title="Abstract serialization encoder/decoder interface. ">Codec</a> to use. <br /></td></tr>
<tr class="separator:a9a1758444909cab977552c311c7856e6 inherit pro_attribs_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab152184b28f94db67ad9c096a5f71f05 inherit pro_attribs_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab152184b28f94db67ad9c096a5f71f05"></a>
<a class="el" href="classerpc_1_1_transport.html">Transport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#ab152184b28f94db67ad9c096a5f71f05">m_transport</a></td></tr>
<tr class="memdesc:ab152184b28f94db67ad9c096a5f71f05 inherit pro_attribs_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classerpc_1_1_transport.html" title="Abstract interface for transport layer. ">Transport</a> layer to use. <br /></td></tr>
<tr class="separator:ab152184b28f94db67ad9c096a5f71f05 inherit pro_attribs_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08d1af7d54f1205930ce1f76757fa450 inherit pro_attribs_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a08d1af7d54f1205930ce1f76757fa450"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#a08d1af7d54f1205930ce1f76757fa450">m_sequence</a></td></tr>
<tr class="memdesc:a08d1af7d54f1205930ce1f76757fa450 inherit pro_attribs_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sequence number. <br /></td></tr>
<tr class="separator:a08d1af7d54f1205930ce1f76757fa450 inherit pro_attribs_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a779a593cc268f3360c93f5c03c6db721 inherit pro_attribs_classerpc_1_1_client_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a779a593cc268f3360c93f5c03c6db721"></a>
<a class="el" href="group__client__setup.html#gab7dcc8461d2301b2ae32448b0f69ef85">client_error_handler_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_client_manager.html#a779a593cc268f3360c93f5c03c6db721">m_errorHandler</a></td></tr>
<tr class="memdesc:a779a593cc268f3360c93f5c03c6db721 inherit pro_attribs_classerpc_1_1_client_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to function error handler. <br /></td></tr>
<tr class="separator:a779a593cc268f3360c93f5c03c6db721 inherit pro_attribs_classerpc_1_1_client_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Client that can share a transport with a server. </p>
<p>This class is a special subclass of <a class="el" href="classerpc_1_1_client_manager.html" title="Base client implementation. ">ClientManager</a> that works with the <a class="el" href="classerpc_1_1_transport_arbitrator.html" title="Interposer to share transport between client and server. ">TransportArbitrator</a> to share a single transport with a <a class="el" href="classerpc_1_1_server.html" title="Based server functionality. ">Server</a>. This enables, for instance, a single UART to be used for bidirectional remote function invocations and replies.</p>
<p>The <a class="el" href="classerpc_1_1_arbitrated_client_manager.html#a91fb14f9fd59a91731d4b450e01e60ce" title="This method is not used with this class. ">setTransport()</a> method used on <a class="el" href="classerpc_1_1_client_manager.html" title="Base client implementation. ">ClientManager</a> is not used with this class. Instead, there is a <a class="el" href="classerpc_1_1_arbitrated_client_manager.html#a31a52d8e0bc260875a5d711718eda369" title="Sets the transport arbitrator instance. ">setArbitrator()</a> method. The underlying transport that is shared is set on the arbitrator. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a30f8ce109a2aa321e58646a962eadcf2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpc::ArbitratedClientManager::ArbitratedClientManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function initializes object attributes. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a31a52d8e0bc260875a5d711718eda369"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ArbitratedClientManager::setArbitrator </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpc_1_1_transport_arbitrator.html">TransportArbitrator</a> *&#160;</td>
          <td class="paramname"><em>arbitrator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets the transport arbitrator instance. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">arbitrator</td><td><a class="el" href="classerpc_1_1_transport.html" title="Abstract interface for transport layer. ">Transport</a> arbitrator to use. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab3e04692bdb5f298d0a819eea026b854"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> ArbitratedClientManager::performRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpc_1_1_request_context.html">RequestContext</a> &amp;&#160;</td>
          <td class="paramname"><em>request</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function performs request. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">request</td><td>Request context to perform. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classerpc_1_1_client_manager.html#a616ff219451ee523e593c92246a7335b">erpc::ClientManager</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="arbitrated__client__manager_8h_source.html">arbitrated_client_manager.h</a></li>
<li>arbitrated_client_manager.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
